Package org.apache.tools.ant.taskdefs

# Class HostInfo

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.HostInfo

All Implemented Interfaces:
  `Cloneable`

public class HostInfo extends Task
Sets properties to the host provided, or localhost if no information is provided. The default properties are NAME, FQDN, ADDR4, ADDR6;

Since:
  Ant 1.8

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HostInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  set the properties.
  `void`
  `setHost(String aHost)`
  Set the host to be retrieved.
  `void`
  `setPrefix(String aPrefix)`
  Set a prefix for the properties.

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HostInfo

    public HostInfo()

- ## Method Details

  - ### setPrefix

    public void setPrefix(String aPrefix)
    Set a prefix for the properties. If the prefix does not end with a "." one is automatically added.
    Parameters:
      `aPrefix` - the prefix to use.
    Since:
      Ant 1.8

  - ### setHost

    public void setHost(String aHost)
    Set the host to be retrieved.
    Parameters:
      `aHost` - the name or the address of the host, data for the local host will be retrieved if omitted.
    Since:
      Ant 1.8

  - ### execute

    public void execute() throws BuildException
    set the properties.
    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - on error.